### Function

# Camel cipher_certinfo_get_property

since: 3.22

#### Declaration [src]

    gpointer
    camel_cipher_certinfo_get_property (
      CamelCipherCertInfo* cert_info,
      const gchar* name
    )

#### Description [src]

Gets a named property `name` value for the given `cert_info`.

Available since: 3.22

#### Parameters

`cert_info`

  Type: `CamelCipherCertInfo`

  A `CamelCipherCertInfo`.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  A property name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gpointer`

Value of a named property of the `cert_info`, or `NULL` when no such property exists. The returned value is owned by the `cert_info` and is valid until the `cert_info` is freed.

The data is owned by the called function.
The return value can be `NULL`.